-- parse ACE files, and generate clusters á la TGICL, but based on contigs

module Main where

import Bio.Alignment.ACE
import Bio.Sequence
import System.SimpleArgs (getArgs)

main :: IO ()
main = getArgs >>= readACE >>= putStr . concatMap (concatMap decluster)

decluster :: Assembly -> String
decluster a = ">"++(label $ fst $ contig a)++"\n"
              ++ unwords (map (label . thrd) $ fragments a)++"\n"
    where
      thrd (_,_,s,_) = s
      label = toStr . seqlabel